/***************************************************************************
                          qtrekoview.cpp  -  description
                             -------------------
    begin                : Sun Aug 25 10:33:25 CEST 2002
    copyright            : (C) 2002 by kdereko@yahoo.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "qtrekoview.h"
#include <qpainter.h>

QtRekoView::QtRekoView(QWidget *parent, QtRekoDoc *doc) : QWidget(parent)
{
  /** connect doc with the view*/
  connect(doc, SIGNAL(documentChanged()), this, SLOT(slotDocumentChanged()));
}

QtRekoView::~QtRekoView()
{
}

void QtRekoView::slotDocumentChanged()
{
  //TODO update the view
  update();

}
/** No descriptions */
void QtRekoView::paintEvent(QPaintEvent *e){

   QPainter paint( this );
   paint.setClipRect(e->rect());

   paint.drawText(10,20,QString("Please open any REKO file"));
   paint.drawText(10,60,QString("Conversion is then autmatically done"));
   paint.drawText(10,80,QString("and the data is saved in the same directory"));
   paint.drawText(10,100,QString("in a new subdirectory."));
   paint.drawText(10,120,QString("Copy this data then to KDE."));



}
